# Intro

Velo API keys are available at $199/mo.&#x20;

Subscriptions are payable monthly (3 month history) or yearly (full data history).&#x20;

**Please see the** [**subscription**](https://velo.xyz/subscription) **page in the web app to get a key or request a trial.**

***

All data is available in >=1 minute resolution. The endpoints [/futures](https://api.velo.xyz/api/v1/futures), [/options](https://api.velo.xyz/api/v1/options), and [/spot](https://api.velo.xyz/api/v1/spot) can be used without authentication to view available products and their histories. See the Columns page for available data types.

```python
from velodata import lib as velo

client = velo.client('api_key')

ten_minutes_ms = 1000 * 60 * 10

params = {
      'type': 'futures',
      'columns': ['close_price', 'funding_rate'],
      'exchanges': ['binance-futures', 'bybit'],
      'products': ['BTCUSDT'],
      'begin': client.timestamp() - ten_minutes_ms,
      'end': client.timestamp(),
      'resolution': '1m'
    }
    
print(client.get_rows(params))
```

The API can be accessed via HTTP/Curl, our Python library, or our NodeJS library. Access also includes the ability to download CSV data from applicable charts via the webapp.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.velo.xyz/api/intro.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
